Skip to content

Get workflow milestone

GET
/workflows/{workflowId}/milestone/{milestoneId}

Fetch a specific milestone within a workflow, including all of its template tasks.

Parameters

Path Parameters

workflowId
required
string

The ID of the workflow.

milestoneId
required
string

The ID of the milestone to retrieve.

Responses

200

A workflow milestone with its tasks

A workflow milestone with all its template tasks

object
milestoneId
string
Af3-y814AI
name
string
NOCD
description

HTML description of the milestone

string
<p>How we progress our client's claim</p>
taskCount

Number of tasks in this milestone

integer
8
dueDate

A date expressed relative to a known anchor point

object
plus

Days to add to the anchor date (used when expressing due dates)

integer
300
minus

Days to subtract from the anchor date (used when expressing target dates)

integer
0
relativeTo

The anchor point this date is relative to

string
Allowed values: ROADMAP_START_DATE MILESTONE_DUE_DATE MILESTONE_TARGET_DATE
ROADMAP_START_DATE
targetDate

A date expressed relative to a known anchor point

object
plus

Days to add to the anchor date (used when expressing due dates)

integer
300
minus

Days to subtract from the anchor date (used when expressing target dates)

integer
0
relativeTo

The anchor point this date is relative to

string
Allowed values: ROADMAP_START_DATE MILESTONE_DUE_DATE MILESTONE_TARGET_DATE
ROADMAP_START_DATE
workspaceId
string
Cs8dD1-8CubzojjqvauZH
lastModifiedBy
string
Co0J-Nn3JpjjdD79Dvz-X
lastModifiedDate

Unix timestamp (ms) of last modification

integer
1772417202723
tasks

Template tasks within this milestone, sorted by rank

Array<object>

A template task within a workflow milestone

object
taskId
string
x9fSVyPKCoOsYll0rp5PJ
name
string
Send letter of engagement
description

HTML description of the task

string
<p>Send the standard letter of engagement to the client.</p>
dueDate

A date expressed relative to a known anchor point

object
plus

Days to add to the anchor date (used when expressing due dates)

integer
300
minus

Days to subtract from the anchor date (used when expressing target dates)

integer
0
relativeTo

The anchor point this date is relative to

string
Allowed values: ROADMAP_START_DATE MILESTONE_DUE_DATE MILESTONE_TARGET_DATE
ROADMAP_START_DATE
rank

Lexicographic rank used to order tasks within a milestone

string
dsuiz
assigneeRole

Default role to assign this task to

string
Allowed values: OWNER LEAD VIEWER
OWNER
reviewerRole

Default role to assign as reviewer

string
Allowed values: OWNER LEAD VIEWER
LEAD
relationships

Dependencies between tasks

Array<object>
object
id

Unique ID of the relationship

string
L9WltkrXts96aQA7sHw5W
type

The relationship type

string
Allowed values: REQUIRES REQUIRED_BY
REQUIRES
taskId

The related task ID

string
8EV6ZdyB3M3Rlm4R3a_cL

403

Forbidden

object
message
string
Forbidden

404

Resource not found

object
message
string
Resource not found

500

Internal Server Error

object
message
string
Internal Server Error